# Rainbow Six | Steve

Are you ready to oper8 like never before?? Get ready to kick in the door with Rainbow Six Steve! Featuring every operator currently in Siege, this character is loadout-based. Each purchase will give you one operator's entire kit. Primary/secondary/gadgets all chosen at random from that operator's possible weapons.

Fight against the White Mask Sosigs, and watch out for the terrifying Bombers! Don't get too close to them, or you will regret it.

Steve is meant to mimic Siege gameplay, so he's very challenging and has zero health drops! (except for Doc, obviously). So watch your corners and don't take undue risks with the minimal health you have.

Note: You'll notice some guns spawn with rail hats. This is because I replaced the red dots in the RequireSight table with rail hats, since every gun you get will have iron sights already.

[You can check out Jeditobiwan's playthrough of Steve here.](https://www.youtube.com/watch?v=v61kzydFpUI)

If you'd like to support my work, buy me a coffee! I'll use anything I earn on Ko-fi for purchasing more assets/models for future mods.

[![Exampled Video](https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0)](https://ko-fi.com/sirpotatos70616)

Please give me feedback and bug reports on any of the H3 discords (SirPotatos).

## Required Mods List

Due to the very unique and varied firearms in Siege, this character uses many different mods to recreate every gun in Siege. The mods are listed in order of importance. Please install as many as you can, and prioritize the ones at the top of the lists!

### ESSENTIAL

[Essential Modpack](https://h3vr.thunderstore.io/package/sirpotatos/R6Steve_EssentialMods/) (downloads all the essential mods listed below)

These mods are used by a large number of the loadouts (used by 6+ operators). Please install all of these if you can.

* [Meat's ModulShotguns](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulShotguns/)
* [FTW Arms Modular Addons](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_Addons/)
* [Meat's ModulAR](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAR/)
* [Potatoes Pistols](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_Pistols/)
* [Potatoes Revolvers](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_Revolvers/)

### Operator-Specific

[Operator-Specific Modpack](https://h3vr.thunderstore.io/package/sirpotatos/R6Steve_OperatorSpecificMods/) (downloads all the operator-specific mods listed below EXCEPT FOR THE FLASH SHIELD! Download the version of the flash shield you want separately.)

These mods are only used by 1 operator each, but they add very unique gadgets and/or guns that are important to the loadout.

* [FTW Arms Ela's Loadout](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Elas_Loadout/)
* [Shampooh's Flash Shield (for Righties)](https://h3vr.thunderstore.io/package/Shampoohs/Flash_Shield_forRIGHTHandedPlayers/) OR [Shampooh's Flash Shield (for Lefties)](https://h3vr.thunderstore.io/package/Shampoohs/Flash_Shield_forLEFTHandedPlayers/) OR [Shampooh's Flash Shield (Both versions)](https://h3vr.thunderstore.io/package/Shampoohs/Flash_Shield_BothVersions/)
* [Gunshields](https://h3vr.thunderstore.io/package/carkidd/Gunshields/)
* [MeatBeat Scanner](https://h3vr.thunderstore.io/package/cityrobo/MeatBeat_Scanner/)
* [FTW Arms M26 MASS](https://h3vr.thunderstore.io/package/Andrew_FTW__CityRobo/FTW_Arms_M26_MASS/)
* [Potatoes Rifles](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_Rifles/)

### Recommended

[Recommended Modpack](https://h3vr.thunderstore.io/package/sirpotatos/R6Steve_RecommendedMods/) (downloads all the recommended mods listed below)

Used by 2 - 5 operators.

* [Meat's ModulSIG](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulSIG/)
* [Meat's ModulAK](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAK/)
* [Meat's M45A1](https://h3vr.thunderstore.io/package/Meat_banono/Meats_M45A1/)
* [FTW Arms Modular M1A](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_M1a/)
* [FTW Arms ITA12L Shotgun](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_ITA12L_Shotgun/)
* [FTW Arms Spear 308](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Spear_308/)
* [Modul FAL](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_FAL/)
* [Modul Saiga12](https://h3vr.thunderstore.io/package/nayr31/ModulSaiga12/)
* [Muzzle's Automags](https://h3vr.thunderstore.io/package/Muzzle/Muzzles_Automags/)
* [SIG P320](https://h3vr.thunderstore.io/package/Muzzle/SIG_P320/)
* [Potatoes Carbines](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_Carbines/)

### Optional

[Optional Modpack](https://h3vr.thunderstore.io/package/sirpotatos/R6Steve_OptionalMods/) (downloads all the optional mods listed below)

Only used by 1 operator.

* [Slick Plate Carriers](https://h3vr.thunderstore.io/package/Arpy/Slick_Plate_Carriers/)
* [FN F2000](https://h3vr.thunderstore.io/package/edisleado/FN_F2000/)
* [Potatoes SMGs](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_SMGs/)
* [QBB LSW](https://h3vr.thunderstore.io/package/Sora101Ven/QBB_LSW_RevRum_NEXXXT/)
* [ModulBeowulf](https://h3vr.thunderstore.io/package/Muzzle_Alt/ModulBeowulf/)

### More Optics Options

* [Shampooh's Optics](https://h3vr.thunderstore.io/package/Shampooh/Shampoohs_Optics/)
* [FTW Arms Modern Warfighter Remastered](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modern_Warfighter_Remastered/)

# Changelog

## [1.4.0] - 2022-04-23

### Added

* Spy watch added to Vigil and Nokk. Provides a short term rechargeable invisibility provided you aren't holding anything.
* Le Roc added to Clash for the time being since I don't know if/when I'll add her shield properly.

### Fixed

* Blacklisted Exotic 357 and Drummer's 12ga Birdshot ammo modpacks.
* Removed Modul HK417 from recommended mods list due to it breaking people's profiles.
* Fixed broken ModulFAL vault files due to new ModulFAL update.

## [1.3.0] - 2022-04-12

### Added

* Added Thorn.
* Added Azami.

### Changed

* Muzzle's Automag replaces the Deagle 44 for Kaid and Nomad.
* Muzzle's P09 can now spawn for Mozzie.
* CSRX300 added to Kali.
* QBB LSW replaces the SA-87 for Ying.

### Fixed

* Warden's M590A1 now correctly spawns with 00 buckshot 100% of the time.
* SMG-12 now correctly has a suppressor.
* Blacklisted exotic 45 and Bubba's ammo modpacks.

## [1.2.2] - 2022-02-17

### Fixed

* Added note to README that states that the "op-specific" modpack does not download the flash shield.

## [1.2.1] - 2022-02-17

### Changed

* Changed out Jager's H416C (that used Modul HK) to the vanilla AR-15 SBR for performance reasons.
* Changed Blackbeard pool so only 1 gun shield is spawned.

## [1.2.0] - 2022-01-29

### Added

* LeRoc to Montagne pool.
* V308 to Lion pool.
* Bailiff 410 to Alibi/Maestro/Oryx pools.
* BOSG to Vigil/Dokkaebi pools.
* CZ75 26rnd mag to Vigil/Kali/Attack Recruit pools.
* MeatBeat Scanner to Pulse pool.
* Meat's M45 black version.
* Diamond Iron Sights to V308/R4-C/F-90/SR-25.

### Changed

* Now requires Ash's 25 rnd Stanag mag for Jager, Zero, Jackal, Twitch, etc.
* Changed all item IDs' suffix from ".sirpotatos" to ".tt" (TatoTactical)

### Fixed

* Missing burst mode on F-90 (Aug A3).
* Blacklisted new ammo types from 12ga Additions and Tarkov Rounds Overhauled.

## [1.1.1] - 2022-01-03

### Changed

* Updated ReadMe with correct M45 and ITA12 links.

## [1.1.0] - 2022-01-02

### Changed

* Standalone Release on Thunderstore.
* M26 MASS will now spawn new AltMag (5 rnd with buckshot) to match Buck's Skeleton Key.

## [1.0.3] - 2021-12-22

### Fixed

* Fixed category listing so it's hidden on TS for Modmas.

## [1.0.2] - 2021-12-21

### Fixed

* Changed incorrect operator pricing from 5 to 6.

## [1.0.1] - 2021-12-17

### Changed

* Nerfed the Easy Config on the sosigs. If you want an easier/more casual experience, select the Easy AI config in the TNH lobby. It won't reduce their numbers, but will make them much weaker.
* Swapped out G19 Suppressor for the M9 and Operator Suppressors.
* Modified 556xi and AR15.50 vault guns.

### Fixed

* Fixed icons so gun icons are visible.
* 5.56 incendiary will no longer spawn.
* Both flash shield variants will be able to spawn now.
* Clash now spawns with 83.333% less shotguns...

## [1.0.0] - 2021-12-14

* Initial Release for Modmas Day 14.